Package com.arms.api.jira.jiraserver_pure.service

## Class JiraServerPureImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.jira.jiraserver_pure.service.JiraServerPureImpl

- All Implemented Interfaces:
    `JiraServerPure`, `TreeService`

      @Service("jiraServerPure")
      public class JiraServerPureImpl
      extends TreeServiceImpl
      implements JiraServerPure

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JiraServerPureImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.lang.String,​java.lang.String>` | `ALM서버_아이디_서버유형_맵_가져오기()` |
    `java.util.List<JiraServerPureEntity>` | `getNodesWithoutRoot​(JiraServerPureEntity jiraServerPureEntity)` |
    `AlmAccount` | `verifyExistingALMServerAccount​(VerifyALMAccountDTO accountDTO)` |
    `AlmAccount` | `verifyNewALMServerAccount​(VerifyALMAccountDTO accountDTO)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Constructor Detail

    - #### JiraServerPureImpl

          public JiraServerPureImpl()

  - ### Method Detail

    - #### ALM서버_아이디_서버유형_맵_가져오기

          public java.util.Map<java.lang.String,​java.lang.String> ALM서버_아이디_서버유형_맵_가져오기()

      Specified by:
        `ALM서버_아이디_서버유형_맵_가져오기` in interface `JiraServerPure`

    - #### getNodesWithoutRoot

          @Transactional(readOnly=true)
          public java.util.List<JiraServerPureEntity> getNodesWithoutRoot​(JiraServerPureEntity jiraServerPureEntity)
                                                                   throws java.lang.Exception

      Specified by:
        `getNodesWithoutRoot` in interface `JiraServerPure`
      Throws:
        `java.lang.Exception`

    - #### verifyNewALMServerAccount

          public AlmAccount verifyNewALMServerAccount​(VerifyALMAccountDTO accountDTO)

      Specified by:
        `verifyNewALMServerAccount` in interface `JiraServerPure`

    - #### verifyExistingALMServerAccount

          public AlmAccount verifyExistingALMServerAccount​(VerifyALMAccountDTO accountDTO)
                                                    throws java.lang.Exception

      Specified by:
        `verifyExistingALMServerAccount` in interface `JiraServerPure`
      Throws:
        `java.lang.Exception`